import * as React from 'react';
export declare const createDocument: (options?: Partial<Pick<DocumentIdentifier, "id" | "plugin" | "state">> & {
    type?: "@edtr-io/document" | undefined;
}) => DocumentIdentifier;
export declare const DocumentEditor: React.FunctionComponent<DocumentEditorProps>;
export interface DocumentEditorProps {
    render?: (children: React.ReactNode) => React.ReactNode;
    state: DocumentIdentifier;
}
export interface DocumentIdentifier {
    $$typeof: '@edtr-io/document';
    id: string;
    plugin?: string;
    state?: unknown;
}
//# sourceMappingURL=editor.d.ts.map