import * as React from 'react';
import { createDocument, DocumentIdentifier } from './editor';
import { SerializedDocument } from './renderer';
export { createDocument, DocumentIdentifier, SerializedDocument };
export declare const Document: React.FunctionComponent<DocumentProps>;
export interface DocumentProps {
    render?: (children: React.ReactNode) => React.ReactNode;
    state: DocumentIdentifier;
}
export declare function isDocumentIdentifier(state: unknown): state is DocumentIdentifier;
export declare function isSerializedDocument(state: unknown): state is SerializedDocument;
//# sourceMappingURL=index.d.ts.map