import * as React from 'react';
import { DocumentIdentifier } from './document';
import { Plugin } from './plugin';
export declare function Editor<K extends string = string>(props: EditorProps<K>): JSX.Element;
export interface EditorProps<K extends string = string> {
    children?: React.ReactNode;
    plugins: Record<K, Plugin>;
    defaultPlugin: K;
    state: DocumentIdentifier;
    changed?: (changed: boolean) => void;
}
//# sourceMappingURL=editor.d.ts.map